Bug Hunting Session
Bug 121498 - Windows: soffice --help/--version doesn't return its output to the console it was run from if LibreOffice is already running
Summary: Windows: soffice --help/--version doesn't return its output to the console it...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All Windows (All)
: medium normal
Assignee: Mike Kaganski
URL:
Whiteboard: target:6.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2018-11-18 20:01 UTC by Mike Kaganski
Modified: 2019-01-06 20:28 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Kaganski 2018-11-18 20:01:43 UTC
On Windows, using --help or --version command line switches doesn't produce its output in the same window it was put to, when there is an instance of LibreOffice already running.

It is similar to bug 40225, which was WFM'd possibly after https://git.libreoffice.org/core/+/dfbece50ebaeaf45ea3f016d911b5de7c878afc5. That commit had fixed only non-Windows case. For Windows, these parameters are still passed from the secondary soffice.bin process to the primary one using IPC, and are handled there (using a separate console in that case).
Comment 1 Mike Kaganski 2018-11-19 14:36:40 UTC
https://gerrit.libreoffice.org/63577
Comment 2 Commit Notification 2018-11-19 20:04:24 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/c13529cd2e20a0aca6f1d4cd0c85a36ab2f54afb%5E%21

tdf#121498: also process --help/--version before VCL init on Win

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Xisco Faulí 2018-12-27 09:21:14 UTC
A polite ping to Mike Kaganski:
Is this bug fixed? if so, could you please close it as RESOLVED FIXED ? Otherwise, Could you please explain what's missing?
Thanks